<?php


function keenshot_customize_register($wp_customize)
{
    $wp_customize->add_panel(
        'keenshot_panel',
        array(
            'title' => __('Keenshot Settings', 'keenshot'),
            'description' => esc_html__('Adjust your theme section.', 'keenshot'),
            'capability' => 'edit_theme_options',
            'priority'	=> 10
        )
    );

    //Header
    $wp_customize->add_section(
        'header_section',
        array(
            'title'              => __('Header Settings', 'keenshot'),
            'capability'         => 'edit_theme_options',
            'description_hidden' => 'false',
            'panel' => 'keenshot_panel'
        )
    );

    $wp_customize->add_setting('header_layout', array(
        'default'           => 'left_right',
        'transport'         => 'refresh',
        'type'              => 'theme_mod',
        'capability'        => 'edit_theme_options',
        'dirty'             => false,
        'sanitize_callback' => 'keenshot_customizer_sanitize'
    ));

    $wp_customize->add_control('header_layout', array(
        'label'       => __('Navigation Layout', 'keenshot'),
        'section'     => 'header_section',
        'settings'    => 'header_layout',
        'description' => 'Select the header layout.',
        'type'        => 'select',
        'choices'     => array(
            'left_right' => __('Left - Right', 'keenshot'),
            'center'     => __('Center', 'keenshot')
        )
    ));

    //Typography
    $wp_customize->add_section(
        'typography_section',
        array(
            'title'              => __('Typography', 'keenshot'),
            'capability'         => 'edit_theme_options',
            'description_hidden' => 'false',
            'panel' => 'keenshot_panel'
        )
    );

    $wp_customize->add_setting('keenshot_heading_font', array(
        'default'           => 'Bebas Neue',
        'transport'         => 'refresh',
        'sanitize_callback' => 'keenshot_customizer_sanitize'
    ));

    $wp_customize->add_control('keenshot_heading_font', array(
        'label'       => __('Heading Font', 'keenshot'),
        'section'     => 'typography_section',
        'settings'    => 'keenshot_heading_font',
        'type'        => 'select',
        'choices'     => array(
            'Bebas Neue' => __('Bebas Neue', 'keenshot'),
            'Montserrat'     => __('Montserrat', 'keenshot'),
            'Poppins'     => __('Poppins', 'keenshot'),
            'Open Sans'     => __('Open Sans', 'keenshot'),
            'Roboto'     => __('Roboto', 'keenshot'),
            'Lato'     => __('Lato', 'keenshot'),
            'Source Sans Pro'     => __('Source Sans Pro', 'keenshot'),
            'Oswald'     => __('Oswald', 'keenshot'),
            'Raleway'     => __('Raleway', 'keenshot'),
            'Noto Sans'     => __('Noto Sans', 'keenshot'),
        )
    ));

    $wp_customize->add_setting('keenshot_body_font', array(
        'default'           => 'Montserrat',
        'transport'         => 'refresh',
        'sanitize_callback' => 'keenshot_customizer_sanitize'
    ));

    $wp_customize->add_control('keenshot_body_font', array(
        'label'       => __('Body Font', 'keenshot'),
        'section'     => 'typography_section',
        'settings'    => 'keenshot_body_font',
        'type'        => 'select',
        'choices'     => array(
            'Bebas Neue' => __('Bebas Neue', 'keenshot'),
            'Montserrat'     => __('Montserrat', 'keenshot'),
            'Poppins'     => __('Poppins', 'keenshot'),
            'Open Sans'     => __('Open Sans', 'keenshot'),
            'Roboto'     => __('Roboto', 'keenshot'),
            'Lato'     => __('Lato', 'keenshot'),
            'Source Sans Pro'     => __('Source Sans Pro', 'keenshot'),
            'Oswald'     => __('Oswald', 'keenshot'),
            'Raleway'     => __('Raleway', 'keenshot'),
            'Noto Sans'     => __('Noto Sans', 'keenshot'),
        )
    ));

    //Footer copyright
    $wp_customize->add_section(
        'keenshot_footer_custom_controls_section',
        array(
       'title' => __('Footer Copyright', 'keenshot'),
       'description' => esc_html__('These are an example of Customizer Custom Controls.', 'keenshot'),
       'panel' => 'keenshot_panel',
       'capability' => 'edit_theme_options',
       'description_hidden' => 'false'
    )
    );

    $wp_customize->add_setting(
        'sample_default_footer_text',
        array(
     'default' => '',
     'transport' => 'refresh',
     'type' => 'theme_mod',
     'capability' => 'edit_theme_options',
     'theme_supports' => '',
     'validate_callback' => '',
     'sanitize_callback' => 'keenshot_sanitize',
     'dirty' => false
  )
    );

    $wp_customize->add_control(
        'copyright_footer_text_control',
        array(
     'label' => __('Copyrigth Text', 'keenshot'),
     'description' => esc_html__('Text controls Type can be either text, email, url, number, hidden, or date', 'keenshot'),
     'section' => 'keenshot_footer_custom_controls_section',
     'settings' => 'sample_default_footer_text',
     'type' => 'text',
     'capability' => 'edit_theme_options',
     'input_attrs' => array(
        'class' => 'my-custom-class',
        'style' => 'border: 1px solid rebeccapurple',
        'placeholder' => __('Enter copy write text...', 'keenshot')
     )
  )
    );

    $wp_customize->add_setting(
        'sample_default_footer_text_body',
        array(
            'default' => '',
            'transport' => 'refresh',
            'type' => 'theme_mod',
            'capability' => 'edit_theme_options',
            'theme_supports' => '',
            'validate_callback' => '',
            'sanitize_callback' => 'keenshot_sanitize',
            'dirty' => false
        )
    );

    $wp_customize->add_control(
        'copyright_footer_text_body_control',
        array(
   'label' => __('Copyright Body', 'keenshot'),
   'description' => esc_html__('Text controls Type can be either text, email, url, number, hidden, or date', 'keenshot'),
   'section' => 'keenshot_footer_custom_controls_section',
   'settings' => 'sample_default_footer_text_body',
   'type' => 'textarea',
   'capability' => 'edit_theme_options',
   'input_attrs' => array(
      'class' => 'my-custom-class',
      'style' => 'border: 1px solid rebeccapurple',
      'placeholder' => __('Enter copyright body message...', 'keenshot')
   )
)
    );

    $wp_customize->add_setting(
        'sample_default_footer_image',
        array(
      'default' => '',
      'transport' => 'refresh',
      'type' => 'theme_mod',
      'capability' => 'edit_theme_options',
      'theme_supports' => '',
      'validate_callback' => '',
      'sanitize_callback' => 'keenshot_sanitize',
      'dirty' => false
   )
    );

    $wp_customize->add_control(new WP_Customize_Media_Control(
        $wp_customize,
        'copyright_footer_image_control',
        array(
      'label' => __('Footer Image', 'keenshot'),
      'description' => '',
      'section' => 'keenshot_footer_custom_controls_section',
      'settings' => 'sample_default_footer_image',
      'mime_type' => 'image',
      'capability' => 'edit_theme_options'
   )
    ));

    $wp_customize->selective_refresh->add_partial('sample_default_footer_text_body', array(
    'selector' => '#address',
   ));

   // Footer address
    $wp_customize->add_section(
        'keenshot_footer_address',
        array(
      'title' => __('Footer Address', 'keenshot'),
      'description' => esc_html__('Update your address', 'keenshot'),
      'panel' => 'keenshot_panel',
      'capability' => 'edit_theme_options',
      'theme_supports' => '',
      'active_callback' => '',
      'description_hidden' => 'false'
   )
    );

    $wp_customize->add_setting(
        'keenshot_footer_title_settings',
        array(
      'default' => '',
      'transport' => 'refresh',
      'type' => 'theme_mod',
      'capability' => 'edit_theme_options',
      'theme_supports' => '',
      'validate_callback' => '',
      'sanitize_callback' => 'keenshot_sanitize',
      'dirty' => false
   )
    );

    $wp_customize->add_setting(
        'keenshot_footer_phone_settings',
        array(
      'default' => '',
      'transport' => 'refresh',
      'type' => 'theme_mod',
      'capability' => 'edit_theme_options',
      'theme_supports' => '',
      'validate_callback' => '',
      'sanitize_callback' => 'keenshot_sanitize',
      'dirty' => false
   )
    );

    $wp_customize->add_control(
        'keenshot_footer_title_control',
        array(
      'label' => __('Title', 'keenshot'),
      'description' => esc_html__('Widget title', 'keenshot'),
      'section' => 'keenshot_footer_address',
      'settings' => 'keenshot_footer_title_settings',
      'type' => 'text',
      'capability' => 'edit_theme_options',
      'input_attrs' => array(
         'class' => 'my-custom-class',
         'style' => 'border: 1px solid rebeccapurple',
         'placeholder' => __('Enter widget title...', 'keenshot')
      )
    )
    );

    $wp_customize->add_control(
        'keenshot_footer_phone_control',
        array(
      'label' => __('Phone', 'keenshot'),
      'description' => esc_html__('Type Phone Number', 'keenshot'),
      'section' => 'keenshot_footer_address',
      'settings' => 'keenshot_footer_phone_settings',
      'type' => 'text',
      'capability' => 'edit_theme_options',
      'input_attrs' => array(
         'class' => 'my-custom-class',
         'style' => 'border: 1px solid rebeccapurple',
         'placeholder' => __('Enter phone number...', 'keenshot')
      )
    )
    );

    $wp_customize->add_setting(
        'keenshot_footer_address_settings',
        array(
      'default' => '',
      'transport' => 'refresh',
      'type' => 'theme_mod',
      'capability' => 'edit_theme_options',
      'theme_supports' => '',
      'validate_callback' => '',
      'sanitize_callback' => 'keenshot_sanitize',
      'dirty' => false
   )
    );

    $wp_customize->add_control(
        'keenshot_footer_address_control',
        array(
      'label' => __('Your Address', 'keenshot'),
      'description' => esc_html__('Enter your address info', 'keenshot'),
      'section' => 'keenshot_footer_address',
      'settings' => 'keenshot_footer_address_settings',
      'type' => 'textarea',
      'capability' => 'edit_theme_options',
      'input_attrs' => array(
         'class' => 'my-custom-class',
         'style' => 'border: 1px solid rebeccapurple',
         'placeholder' => __('Enter your current address info', 'keenshot')
      )
    )
    );

    $wp_customize->selective_refresh->add_partial('keenshot_footer_address_settings', array(
    'selector' => '#copywrite',
   ));

   // Login page
    $wp_customize->add_section(
        'keenshot_custom_login_page_section',
        array(
      'title' => __('Login Page', 'keenshot'),
      'description' => __('Manage Login Page Banner and Logo', 'keenshot'),
      'panel' => 'keenshot_panel',
      'capability' => 'edit_theme_options',
      'theme_supports' => '',
      'active_callback' => '',
      'description_hidden' => false
   )
    );

    $wp_customize->add_setting(
        'keenshot_custom_login_page_settings',
        array(
      'default' => __('Manage Login Page Banner', 'keenshot'),
      'transport' => 'refresh',
      'type' => 'theme_mod',
      'capability' => 'edit_theme_options',
      'theme_supports' => '',
      'validate_callback' => '',
      'sanitize_callback' => 'keenshot_wp_media_upload_sanitize',
      'dirty' => false
   )
    );

    $wp_customize->add_control(new WP_Customize_Media_Control(
        $wp_customize,
        'keenshot_custom_login_page_control',
        array(
      'label' => __('Manage Login Page Banner', 'keenshot'),
      'section' => 'keenshot_custom_login_page_section',
      'settings' => 'keenshot_custom_login_page_settings',
      'mime_type' => 'image',
      'capability' => 'edit_theme_options'
   )
    ));

    $wp_customize->add_setting(
        'keenshot_custom_login_page_logo_settings',
        array(
      'default' => __('Manage Login Page Logo', 'keenshot'),
      'transport' => 'refresh',
      'type' => 'theme_mod',
      'capability' => 'edit_theme_options',
      'theme_supports' => '',
      'validate_callback' => '',
      'sanitize_callback' => 'keenshot_wp_media_upload_sanitize',
      'dirty' => false
   )
    );

    $wp_customize->add_control(new WP_Customize_Media_Control(
        $wp_customize,
        'keenshot_custom_login_page_logo_control',
        array(
      'label' => __('Manage Login Page Logo', 'keenshot'),
      'section' => 'keenshot_custom_login_page_section',
      'settings' => 'keenshot_custom_login_page_logo_settings',
      'mime_type' => 'image',
      'capability' => 'edit_theme_options'
   )
    ));
}
function keenshot_customizer_sanitize($input)
{
    if (!empty($input)) {
        return $input;
    }
    return $input;
}
add_action('customize_register', 'keenshot_customize_register');

function keenshot_footer_image_option()
{
    $image_id = wp_get_attachment_url(get_theme_mod('sample_default_footer_image', ''));
    return $image_id;
}
 add_action('wp_head', 'keenshot_footer_image_option');
 
 function keenshot_sanitize($input)
 {
     if (!empty($input)) {
         return $input;
     }
     return $input;
 }
 
 function keenshot_wp_login_page_banner_upload()
 {
     $image_id = wp_get_attachment_url(get_theme_mod('keenshot_custom_login_page_settings'));
     return $image_id;
 }
 
 add_action('wp_head', 'keenshot_wp_login_page_banner_upload');
 
 function keenshot_wp_login_page_logo_upload()
 {
     $image_id = wp_get_attachment_url(get_theme_mod('keenshot_custom_login_page_logo_settings'));
     if (!$image_id) {
         $image_id = get_template_directory_uri().'/assets/images/logo.png';
     }
     return $image_id;
 }
 
 add_action('wp_head', 'keenshot_wp_login_page_logo_upload');
 
 function keenshot_wp_media_upload_sanitize($input)
 {
     if (!empty($input)) {
         return $input;
     }
     return $input;
 }
